--- title: "SearchEventById" slug: "management-cloudinsight-searcheventbyid" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-searcheventbyid" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # SearchEventById Available in Classic and VPC Get an event by its event ID and rule ID. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /cw_fea/real/cw/api/event/searchById | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body See [EventSearchRequestById](/docs/en/common-vapidatatype-cieventsearchrequestbyid) for more information about the fields related to the request information required when searching events with the event ID. ### Request example The request example is as follows: ``` curl --location --request POST 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/event/searchById' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "eventId": "**********", "ruleId": "**********" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `detectValue` | String | - | Event value | | `inMaintenance` | Boolean | - | Whether to set maintenance - `true` \| `false` - `true`: set - `false`: not set | | `prodKey` | String | - | Product key (cw_key) - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo). | | `criteria` | String | - | Event rule value | | `cycles` | Integer | - | Event termination status - A value that confirms whether the event has been terminated by deleting the event-triggering resource - `0`: not terminated (default) - `1`: terminated | | `metricGroupItemId` | String | - | Metric group item ID | | `operator` | String | - | Comparison operator for evaluating event occurrence conditions - `LT` \| `LE` \| `EQ` \| `GE` \| `NE` \| `EXP` | | `regionCode` | String | - | Region code | | `eventLevel` | String | - | Event level - `INFO` \| `WARNING` \| `CRITICAL` | | `calcSlidingGroupKey` | String | - | Event details | | `ruleName` | String | - | Name of event rule | | `startTime` | Integer | - | Query start date and time (millisecond) - Unix timestamp format | | `ruleId` | Integer | - | Event rule ID | | `eventId` | String | - | Event ID | | `notificationGroups` | String | - | Notification recipient group name | | `unit` | String | - | Event unit | | `metric` | String | - | Metric name | | `eventCause` | String | - | Event occurrence cause | | `plannedMaintains` | String | - | Maintenance schedule | | `interval` | String | - | Aggregation interval - `Min1` \| `Min5` \| `Min30` \| `Hour2` \| `Day1` | | `calc` | String | - | Aggregation function - `COUNT` \| `AVG` \| `SUM` \| `MAX` \| `MIN` | | `describe` | String | - | Description of event rule | | `endTime` | Integer | - | Query end date and time (millisecond) - Unix timestamp format | | `zoneCode` | String | - | Zone code | | `dimensions` | Object | - | Dimensions information | | `dimensions.instanceNo` | String | - | Instance number | | `dimensions.type` | String | - | Dimensions type | ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "detectValue": "0.01", "inMaintenance": false, "prodKey": "**********", "criteria": "0", "cycles": 0, "metricGroupItemId": "**********", "operator": "EQ", "regionCode": "KR", "eventLevel": "INFO", "calcSlidingGroupKey": "**********", "ruleName": "server-test", "startTime": **********, "ruleId": **********, "eventId": "**********", "notificationGroups": "**********", "unit": "%", "metric": "load_average_5m", "eventCause": "RULE_EVENT", "plannedMaintains": "[]", "interval": "1", "calc": "AVG", "describe": "Server event rule", "endTime": **********, "zoneCode": "KR-1", "dimensions": { "instanceNo": "**********", "type": "svr" } } ] ```